Subject: Re: [PATCH - stgit] Patch to allow import of compressed files

From: Clark Williams <[email-masked]>
Date: Tue, 10 Jun 2008 09:06:39 -0500

Sverre Rabbelier wrote:
> On Tue, Jun 10, 2008 at 12:28 PM, Karl Hasselström <[email-masked]> wrote:
>> If there's just one patch in the tar file, why did you use a tar file
>> in the first place instead of just gzipping?
> 
> I guess mostly habbit :P. Whenever I zip something I create a gzipped
> tarball because that's how I usually do it.
> 
>> I'm pretty sure that anyone who really has use for the tar-file
>> capability would be using tar files with multiple patches in them.
> 
> Yeah, I guess that's true for most people indeed.
> 
>> I was refering to the fact that due to tar-files in the general case
>> containing more than one patch, you'd have to modify the parts of
>> imprt.py that deal with importing multiple patches at once, in
>> addition to the parts the current patch touches.
> 
> Mhhh, yeah, but should be something like
> for patch in patches
>   applyPatch(patch)
> 

But, since patches in general are ordered beasts, you can get into trouble if you
didn't name your patches such that they lexically sort in the proper order *and* the
tar library gives them to you in the right order.

I think if I were going to add this, I'd probably look for a series file and use that
 to apply in the proper order. Same for if we support .zip files. Seems like the only
other thing you could do is read in the list of files and sort them, then apply them.

>> But you're probably right that the amount of additional work would not
>> be much more than what went into the current patch.
> 
> To just support .tar, yeah, but let's see what the author has to say
> about this ;).
> 

Author. Mmmmmmm, much nicer than "Mad Python patch hacker". I like it!

Clark